#ifndef _FILTER_UTILS_H_
#define _FILTER_UTILS_H_

#include "config.h"

#define HTTPS_PORT		443
#define URL_SUCCESS             1
#define CHECK_CONTINUE 		-1


typedef enum {
	PKT_ACCEPT,
	PKT_DROP
} pkt_decision_enum;

typedef struct time_details {
	bool is_next_day;
	unsigned int current_time;
	unsigned int start_time;
	unsigned int end_time;
	unsigned int next_day_end_time;
} time_info;

int get_ip_packet_payload(unsigned char *data_p, uint8_t *proto, size_t len, bool *is_ipv6);
int get_payload_pkt(int proto, unsigned char *data, int payload_offset,
		    char **payload_pkt, bool *is_https_packet, bool is_ipv6);
int profile_based_url_filtering(struct profile *pkt_profile, char *payload_pkt, char *mac_addr,
				size_t len, bool is_https_packet, bool is_ipv6);
#endif
