#ifndef BUNDLE_H
#define BUNDLE_H

#include <uci.h>

#include "config.h"

int is_valid_domain(const char *line);
size_t get_content_length(const char *url);
int download_file(const char *url, struct dynamic_memory *mem);
void populate_url_stringstore_from_memory(struct dynamic_memory *mem, struct urlbundle *bundle);
void process_bundle_file(const char *file_path, const char *output_file, unsigned long *line_count, unsigned long *byte_count);
void populate_url_stringstore_from_file(const char *filename, struct urlbundle *bundle, unsigned long line_count, unsigned long byte_count);

#endif // BUNDLE_H
